local create = vim.api.nvim_create_augroup
local define = vim.api.nvim_create_autocmd

local M = {}

create("github_presence_autocmds", { clear = true })

function M.setup()
  define({ "BufEnter" }, {
    group = "github_presence_autocmds",
    pattern = { "*" },
    callback = function() require("github_presence.updates").set_status() end,
  })
end

return M
